aboutsummaryrefslogtreecommitdiffstats
path: root/recipes-opie/opie-pickboard
diff options
context:
space:
mode:
authorPaul Eggleton <paul.eggleton@linux.intel.com>2011-07-24 17:57:24 +0100
committerPaul Eggleton <paul.eggleton@linux.intel.com>2011-07-30 02:35:12 +0100
commite9b45ff67d32fdc27950a51135b6dabada8334e7 (patch)
treede99cd760c8292ee1dd334e23e1e5cc43e90dfbd /recipes-opie/opie-pickboard
downloadmeta-opie-e9b45ff67d32fdc27950a51135b6dabada8334e7.tar.gz
meta-opie-e9b45ff67d32fdc27950a51135b6dabada8334e7.tar.bz2
meta-opie-e9b45ff67d32fdc27950a51135b6dabada8334e7.zip
initial commit of meta-opie
Populate the repository with files from OpenEmbedded at revision 45edf621296daf150c72b876d720861235e5762e - no changes, only rearranged the directory structure to match the new oe-core style and added COPYING.MIT and README. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
Diffstat (limited to 'recipes-opie/opie-pickboard')
-rw-r--r--recipes-opie/opie-pickboard/opie-pickboard.inc36
-rw-r--r--recipes-opie/opie-pickboard/opie-pickboard_1.2.5.bb7
-rw-r--r--recipes-opie/opie-pickboard/opie-pickboard_cvs.bb6
3 files changed, 49 insertions, 0 deletions
diff --git a/recipes-opie/opie-pickboard/opie-pickboard.inc b/recipes-opie/opie-pickboard/opie-pickboard.inc
new file mode 100644
index 0000000..2f84359
--- /dev/null
+++ b/recipes-opie/opie-pickboard/opie-pickboard.inc
@@ -0,0 +1,36 @@
+DESCRIPTION = "Pickboard input method"
+SECTION = "opie/inputmethods"
+PRIORITY = "optional"
+LICENSE = "GPL"
+APPNAME = "qpickboard"
+
+S = "${WORKDIR}/pickboard"
+
+inherit opie
+
+pkg_postinst() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+if pidof -s qpe >/dev/null; then
+ ${bindir}/qcop QPE/TaskBar "reloadApplets()"
+else
+ exit 0
+fi
+}
+
+pkg_postrm() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+${bindir}/qcop QPE/TaskBar "reloadInputMethods()"
+}
+
+
+do_install() {
+ install -d ${D}${libdir}/
+ install -d ${D}${includedir}/
+ install -m 0755 libqpickboard.so ${D}${libdir}/
+ install pickboardcfg.h ${D}${includedir}/
+ install pickboardpicks.h ${D}${includedir}/
+}
+
+# FILES plugins/inputmethods/libqpickboard.so*
diff --git a/recipes-opie/opie-pickboard/opie-pickboard_1.2.5.bb b/recipes-opie/opie-pickboard/opie-pickboard_1.2.5.bb
new file mode 100644
index 0000000..9af5bdf
--- /dev/null
+++ b/recipes-opie/opie-pickboard/opie-pickboard_1.2.5.bb
@@ -0,0 +1,7 @@
+require ${PN}.inc
+
+PR = "r0"
+
+SRC_URI = "http://sources.openembedded.org/opie-1.2.5-split_inputmethods_pickboard.tar.bz2;name=split_inputmethods_pickboard"
+SRC_URI[split_inputmethods_pickboard.md5sum] = "86a0f938b5c65a388ee3ccd8b962e831"
+SRC_URI[split_inputmethods_pickboard.sha256sum] = "5c50eb3062443ca3fa249ec1c8fa7b141b4ed3524e907a3c51e6ee8c09f6f8bc"
diff --git a/recipes-opie/opie-pickboard/opie-pickboard_cvs.bb b/recipes-opie/opie-pickboard/opie-pickboard_cvs.bb
new file mode 100644
index 0000000..ac2d01c
--- /dev/null
+++ b/recipes-opie/opie-pickboard/opie-pickboard_cvs.bb
@@ -0,0 +1,6 @@
+require ${PN}.inc
+
+PV = "${OPIE_GIT_PV}"
+PR = "r2"
+
+SRC_URI = "${OPIE_GIT};protocol=git;subpath=inputmethods/pickboard"